\subsection{Foundations}
\begin{frame}<1-6>[label=eaobj]{The Enterprise Architecture Object}
	\begin{definition}
		\begin{align}
		EA = \left( \mathcal{L}, \mathcal{C}, E, R \right)
		\end{align}
		describes the \emph{Enterprise Architecture} object. 
	\end{definition}
	
	\only<2-8>{
	\begin{definitions}
		\begin{description}
			\alert<6>{\item[$\mathcal{L}$] is an \emph{ordered set of architectural layers}}, \pause
			\alert<7>{\item[$\mathcal{C}$] describes a \emph{set of capability sets}}, \pause
			\item[$E$] is a \emph{set of architectural elements}, \pause and
			\alert<8>{\item[$R$] is a \emph{set of relations between these elements and capabilities}}.
		\end{description}
	\end{definitions}
	}

\only<9>{
	\begin{alertblock}{Objective}
		The object $EA$ is the subject of optimization.
	\end{alertblock}
}
\end{frame}

\begin{frame}{The Set of Layers $\mathcal{L}$}
	\begin{definition}
		$\mathcal{L}$ is an \emph{ordered set of architectural layers}.
	\end{definition}
	
	Let $L \in \mathcal{L}$ consist of architectural elements: $L \subset E$.
	
	\begin{align}
	L_i \cap L_j = \emptyset \quad \forall L_i, L_j \in \mathcal{L} \quad i \neq j \label{eq:disjunct_layers}
	\end{align} 

\end{frame}

\begin{frame}{The Set of Layers $\mathcal{L}$}
	\begin{definition}
		$\mathcal{L}$ is an \emph{ordered set of architectural layers}.
	\end{definition}

	Now consider elements from two adjacent layers: $ul_i \in L_j$ and $ll_i \in L_{j+1}$.
	
	\only<2>{
	\begin{definition}[Budget]
		For each $ul_i$ there may be an associated \emph{budget} $b_i \in \mathbb{N}_0$.
		
		\begin{align}
		b_i \sim ul_i \quad \forall ul_i \in L_j 
		\end{align}
	\end{definition}
	}
	
	\only<3>{
	\begin{definition}[Operational Cost]
		Associate an \emph{operational cost} $p_i \in \mathbb{N}$ with each $ll_i$.
		
		\begin{align}
		p_i \sim ll_i \quad \forall ll_i \in L_{j+1}
		\end{align}
	\end{definition}
	}

	\only<4>{
	\begin{definition}[Transitional Cost]
		Associate a \emph{transitional cost} $tp_i \in \mathbb{N}$ with each $ll_i$.
		
		\begin{align}
		tp_i \sim ll_i \quad \forall ll_i \in L_{j+1}
		\end{align}
	\end{definition}
	}
	
\end{frame}

\againframe<7>{eaobj}

\begin{frame}{The Set of Sets of Capabilities $\mathcal{C}$}
	\begin{definition}
		$\mathcal{C}$ is a \emph{set of sets of capabilities}.
	\end{definition}

	For two adjacent layers $L_i$ and $L_{i+1}$ we assign the symbol $\mathcal{C}_i$ to their interface.
	
	\begin{align}
	\mathcal{C}_i \cap \mathcal{C}_j = \emptyset \quad \forall \mathcal{C}_i, \mathcal{C}_j \in \mathcal{C} \quad i \neq j
	\end{align}
\end{frame}

\againframe<8>{eaobj}

\begin{frame}{The Set of Relations $R$}
	\begin{definition}
		$R$ consists of \emph{tuples of architectural elements and capabilities}, coupling \emph{upper layer elements with capabilities} and \emph{capabilities with lower layer elements}.
		
		\begin{align}
		R \subset \{ (e, c): e \in L_i, c \in \mathcal{C}_i \} \cup \{ (c, e): c \in \mathcal{C}_i, e \in L_{i+1} \}
		\end{align}
	\end{definition}
\end{frame}

\againframe<9>{eaobj}